## com.lowagie.tools
Class Toolbox.Console

    java.lang.Object
      com.lowagie.tools.Toolbox.Console

Enclosing class:
  Toolbox

public class Toolbox.Console
extends Object

A Class that redirects output to System.out and System.err.

Nested Class Summary
`(package private) class` `Toolbox.Console.ReaderThread`

Field Summary
`(package private) PipedInputStream` `piErr`
`(package private) PipedInputStream` `piOut`
`(package private) PipedOutputStream` `poErr`
`(package private) PipedOutputStream` `poOut`
`(package private) JTextArea` `textArea`

Constructor Summary
`Toolbox.Console()` Creates a new Console object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### piOut

    PipedInputStream piOut

### piErr

    PipedInputStream piErr

### poOut

    PipedOutputStream poOut

### poErr

    PipedOutputStream poErr

### textArea

    JTextArea textArea

Constructor Detail

### Toolbox.Console

    public Toolbox.Console()
                    throws IOException

  Creates a new Console object.

Throws:
  `IOException`